import { UserFlow } from 'lighthouse/lighthouse-core/fraggle-rock/api';
import { CollectOptions, PersistOptions } from '../../../../core/rc-json/types';
import { UserFlowProvider } from './types';
export declare function persistFlow(flow: UserFlow, name: string, { outPath, format }: PersistOptions): Promise<string[]>;
export declare function collectFlow(cliOption: CollectOptions & {
    dryRun: boolean;
}, userFlowProvider: UserFlowProvider & {
    path: string;
}): Promise<UserFlow>;
export declare function loadFlow(collect: CollectOptions): ({
    exports: UserFlowProvider;
    path: string;
})[];
export declare function openFlowReport(fileNames: string[]): Promise<void>;
